Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates
Enum TorqueSchemaInheritance

    java.lang.Object
      java.lang.Enum<TorqueSchemaInheritance>
          org.apache.torque.templates.TorqueSchemaInheritance

All Implemented Interfaces:
  Serializable, Comparable<TorqueSchemaInheritance>

    public enum TorqueSchemaInheritance

extends Enum<TorqueSchemaInheritance>

The possible values of the inheritance attribute of the column element. $Id: TorqueSchemaInheritance.java 1331196 2012-04-27 02:56:12Z tfischer $

Enum Constant Summary
`FALSE` This column does nor define an inheritance column.
`SINGLE` This column determines the inheritance class of the table.

Method Summary
`String` | `getValue()` Returns the value of the inheritance attribute.
`String` | `toString()`
`static TorqueSchemaInheritance` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TorqueSchemaInheritance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE

    public static final TorqueSchemaInheritance SINGLE

  This column determines the inheritance class of the table.

### FALSE

    public static final TorqueSchemaInheritance FALSE

  This column does nor define an inheritance column.

Method Detail

### values

    public static TorqueSchemaInheritance[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TorqueSchemaInheritance c : TorqueSchemaInheritance.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TorqueSchemaInheritance valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

  Returns the value of the inheritance attribute.

  Returns:
    the value of the inheritance attribute, not null.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<TorqueSchemaInheritance>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.